export default {
    data() {
        return {
            reportTypeTitle: [{
                    fileType: '冰冻病理',
                    reportTitle: '术中冰冻病理诊断报告',
                    suppleReportTitle: ''
                },
                {
                    fileType: '常规',
                    reportTitle: '冰冻病理剩余样本诊断报告',
                    suppleReportTitle: '冰冻病理剩余样本诊断补充报告'
                },
                {
                    fileType: '常规病理',
                    reportTitle: '病理诊断报告',
                    suppleReportTitle: '病理诊断补充报告'
                },
                {
                    fileType: '非妇科细胞学',
                    reportTitle: '细胞病理诊断报告',
                    suppleReportTitle: '细胞病理诊断补充报告'
                },
                {
                    fileType: '妇科细胞学',
                    reportTitle: '细胞病理诊断报告',
                    suppleReportTitle: '细胞病理诊断补充报告'
                },
                {
                    fileType: '会诊病理',
                    reportTitle: '会诊病理诊断报告',
                    suppleReportTitle: '会诊病理诊断补充报告'
                }
            ]
        }
    },
    computed: {
        reportTitle() {
            if(this.rispReport.type === '5') {
                if(this.rispData.parentId) {
                    return '宫颈液基细胞学诊断补充报告'
                }
                return '宫颈液基细胞学诊断报告'
            }
            if(this.rispReport.type === '6') {
                if(this.rispData.parentId) {
                    return '非妇科液基细胞学诊断补充报告'
                }
                return '非妇科液基细胞学诊断报告'
            }
            let fileType = this.rispData.mr.PathologyClass;
            if(!fileType) return ""
            let result = this.reportTypeTitle.find(item =>
                item.fileType == fileType
            );
            let key = '';
            if (this.rispData.parentId) { // 补充报告
                key = 'suppleReportTitle';
            } else {
                key = 'reportTitle';
            }
            return result[key]
        }
    }
}